# all files / ol/format/filter/ comparison.js

100% Statements 7/7
100% Branches 0/0
100% Functions 1/1
100% Lines 7/7

    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28
    291×

    1×
    1×

    1×

    17×

    17×

    1×
     goog.provide('ol.format.filter.Comparison');

    goog.require('ol');
    goog.require('ol.format.filter.Filter');

    /**
     * @classdesc
     * Abstract class; normally only used for creating subclasses and not instantiated in apps.
     * Base class for WFS GetFeature property comparison filters.
     *
     * @constructor
     * @param {!string} tagName The XML tag name for this filter.
     * @param {!string} propertyName Name of the context property to compare.
     * @extends {ol.format.filter.Filter}
     * @api
     */
    ol.format.filter.Comparison = function(tagName, propertyName) {

      ol.format.filter.Filter.call(this, tagName);

      /**
       * @public
       * @type {!string}
       */
      this.propertyName = propertyName;
    };
    ol.inherits(ol.format.filter.Comparison, ol.format.filter.Filter);